跳转到主要内容
系统管理/用户配置相关接口
GETUser Configuration起始版本 4.10.0同步需要认证

查询角色账户关系

查询角色账户关系

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    查询是否成功

  • inventoriesList必填

    详情参考inventories

    • roleUuidString必填

      角色 UUID

    • accountUuidString必填

      账户 UUID

    • accountPermissionFromString必填

      账户权限来源, 如果账户是通过加入某个账户组而获得的角色, 那么这个值就是那个账户组的 UUID。如果账户直接绑定了角色, 这个值为 null

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

GET/zstack/v1/identities/role-account-refs

/zstack/v1/identities/role-account-refs

操作 ID

QueryRoleAccountRef

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/identities/role-account-refs' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "roleUuid": "686cb963323e491e955a0fd0b49dd743", "accountUuid": "5360250ef145409e862b4e99d2b2efc4", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史